libzypp: ztui::Config Class Reference

libzypp 17.36.6

Public Member Functions | Public Attributes | List of all members
ztui::Config Class Reference

`#include <zypp-tui/config.h>`

## Public Member Functions
| Config ()

## Public Attributes
bool | do_ttyout
| True unless output is a dumb tty or file.
bool | do_colors
| Whether to colorize the output.
ansi::Color | color_result
ansi::Color | color_msgStatus
ansi::Color | color_msgError
ansi::Color | color_msgWarning
ansi::Color | color_prompt
ansi::Color | color_promptOption
ansi::Color | color_positive
ansi::Color | color_change
ansi::Color | color_negative
ansi::Color | color_highlight
ansi::Color | color_lowlight
ansi::Color | color_osdebug

## Detailed Description

Definition at line 21 of file config.h.

## Constructor & Destructor Documentation

## ◆ Config()

ztui::Config::Config | ( |  | ) |

Definition at line 15 of file config.cc.

## Member Data Documentation

## ◆ do_ttyout

bool ztui::Config::do_ttyout

True unless output is a dumb tty or file.

In this case we should not use any ANSI Escape sequences (at least those moving the cursor; color may be explicitly enabled 'zypper –color ..| less'

Definition at line 31 of file config.h.

## ◆ do_colors

bool ztui::Config::do_colors

Whether to colorize the output.

This is evaluated according to color_useColors and do_ttyout.

Definition at line 37 of file config.h.

## ◆ color_result

ansi::Color ztui::Config::color_result

Definition at line 39 of file config.h.

## ◆ color_msgStatus

ansi::Color ztui::Config::color_msgStatus

Definition at line 40 of file config.h.

## ◆ color_msgError

ansi::Color ztui::Config::color_msgError

Definition at line 41 of file config.h.

## ◆ color_msgWarning

ansi::Color ztui::Config::color_msgWarning

Definition at line 42 of file config.h.

## ◆ color_prompt

ansi::Color ztui::Config::color_prompt

Definition at line 43 of file config.h.

## ◆ color_promptOption

ansi::Color ztui::Config::color_promptOption

Definition at line 44 of file config.h.

## ◆ color_positive

ansi::Color ztui::Config::color_positive

Definition at line 45 of file config.h.

## ◆ color_change

ansi::Color ztui::Config::color_change

Definition at line 46 of file config.h.

## ◆ color_negative

ansi::Color ztui::Config::color_negative

Definition at line 47 of file config.h.

## ◆ color_highlight

ansi::Color ztui::Config::color_highlight

Definition at line 48 of file config.h.

## ◆ color_lowlight

ansi::Color ztui::Config::color_lowlight

Definition at line 49 of file config.h.

## ◆ color_osdebug

ansi::Color ztui::Config::color_osdebug

Definition at line 50 of file config.h.

The documentation for this class was generated from the following files:

- zypp-tui/config.h
- zypp-tui/config.cc